package jp.ne.ruru.park.ando.memoswing.core.editors;

import java.awt.BorderLayout;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import javax.swing.JApplet;
import javax.swing.JScrollPane;
import javax.swing.JTextPane;
import javax.swing.text.AttributeSet;
import javax.swing.text.BadLocationException;

/**
 * AvbgNp
 * @author 
 *
 */
@SuppressWarnings("serial")
public class MemoApplet extends JApplet {
	/*
	 * (non-Javadoc)
	 * @see java.applet.Applet#init()
	 */
	@Override
    public void init() {
        //
        //Avbg̃CAEgFlowLauputɂ
        MemoStyledDocument document = new MemoStyledDocument();
        JTextPane pane = new JTextPane();
        pane.setDocument(document);
        //
        JScrollPane scroll = new JScrollPane(pane);
        scroll.setVerticalScrollBarPolicy(
        		JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
        this.getContentPane().add(scroll,BorderLayout.CENTER);

        //
        // \[X̓˂
		StringBuffer buffer = new StringBuffer();
		try (InputStream stream = this.getClass().getResourceAsStream("sample.txt");
				InputStreamReader isr = new InputStreamReader(stream);
				BufferedReader br = new BufferedReader(isr)) {
			br.lines().forEachOrdered(e->buffer.append(e).append("\r\n"));
			document.insertString(0,buffer.toString(),(AttributeSet)Token.UNDEFINED.getData());
		} catch (IOException|BadLocationException e) {
			buffer.append("Error: " + e.getMessage());
		}
    }
}
