package jp.ne.ruru.park.ando.memoswing.core.editors;

import java.awt.BorderLayout;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTextPane;
import javax.swing.SwingUtilities;
import javax.swing.text.AttributeSet;
import javax.swing.text.BadLocationException;

/**
 * JFrameNpBKɑgݑւĎgpĂB
 * @author 
 *
 */
public class MemoJFrame {
	/**
	 * CN
	 * @param arg 
	 */
	public static final void main(String[] arg) {
		SwingUtilities.invokeLater(()->{
			// \
			JFrame frame = new JFrame("");
			frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
			frame.setSize(600,600);
			frame.setLocationRelativeTo(null); 
			frame.setVisible(true);
			//
			MemoStyledDocument document = new MemoStyledDocument();
			JTextPane pane = new JTextPane();
			pane.setDocument(document);
			//
			JScrollPane scroll = new JScrollPane(pane);
			scroll.setVerticalScrollBarPolicy(
					JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
			frame.getContentPane().add(scroll,BorderLayout.CENTER);
			//
			// \[X̓˂
			StringBuffer buffer = new StringBuffer();
			try (InputStream stream = MemoJFrame.class.getResourceAsStream("sample.txt");
					InputStreamReader isr = new InputStreamReader(stream);
					BufferedReader br = new BufferedReader(isr)) {
				br.lines().forEachOrdered(e->buffer.append(e).append("\r\n"));
				document.insertString(0,buffer.toString(),(AttributeSet)Token.UNDEFINED.getData());
			} catch (IOException|BadLocationException e) {
				buffer.append("Error: " + e.getMessage());
			}
		});
    }
}
